<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Dialog mesaje membru '.nume($la,1);
require'f_tabelare.php';
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/admin-moderare-membru/la/'.$la.'-'.seo(nume($la,1)).'">'.img('administrare.png',1).'Moderare membru '.nume($la).'</a>';
require'f_sus.php';
echo$div[4].'Dialog mesaje membru '.nume($la).$div[5];
if($pid>0&&in_array($de,$id_proprietari))
$conn->query('DELETE FROM`mesaje`WHERE`id`="'.$pid.'"');
$elemente=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`de`="'.$la.'"||`la`="'.$la.'"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
require'f_data.php';
require'f_filtru.php';
$items=$conn->query('SELECT`de`,`la`,`text`,`data`,`citit`,`id`FROM`mesaje`WHERE`de`="'.$la.'"||`la`="'.$la.'"ORDER BY`data`DESC LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr><td'.$clasa_kk.'><a href="/profil-membru/la/'.$item[0].'-'.seo(nume($item[0],1)).'">'.avatar($item[0]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($item[0]).'<img src="'.$domenii_statice[2].'moduri/in.gif" alt="" />'.profil($item[1]).'<small> - '.data($item[3]).'</small>'.(in_array($de,$id_proprietari)?' <sterge><a href="'.$_SERVER['REQUEST_URI'].'?pid='.$item[5].'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a></sterge>':'').$div[0].$clasa_normal.filtru($item[2]).'<br /><a href="/admin-dialog-mesaje-membrii/la/'.$item[0].'-'.seo(nume($item[0],1)).'/la/'.$item[1].'-'.seo(nume($item[1],1)).'">'.img('modlog.gif',2).'dialog</a>';
if($item[4]>0)
echo'<br /><img src="'.$domenii_statice[1].'opm.gif" alt="" /><small>Citit: '.data($item[4]).'</small>';
echo($conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`de`="'.$item[0].'"&&`data`="'.$item[3].'"')->fetch_row()[0]>$elemente_raportate?'<br /><a href="/admin-marcheaza-mass/la/'.$item[0].'-'.seo(nume($item[0],1)).'/tip/'.$item[3].'">Marcheaza-i toate mass-urile cu acest text</a><strong> - </strong><a href="/admin-sterge-mass/la/'.$item[0].'-'.seo(nume($item[0],1)).'/tip/'.$item[3].'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge-i toate mass-urile cu acest text</a>':'').$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt mesaje trimise sau primite de '.nume($la).'!'.$div[0];
require'f_jos.php';